List funding methods for a (origin, destination[, payout, payer, ...]) combo
curl --request GET \
--url https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"fundingMethod": "<string>",
"displayName": "<string>",
"supportedByCorridors": [
"<string>"
],
"effectiveStatus": "AVAILABLE",
"unavailableReasons": [
"PROVIDER_NOT_SUPPORTED"
]
}
]Partner - Catalog
List funding methods for a (origin, destination[, payout, payer, ...]) combo
GET
/
partner
/
catalog
/
funding-methods
List funding methods for a (origin, destination[, payout, payer, ...]) combo
curl --request GET \
--url https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.raas-widgets.leapfinancial.com/partner/catalog/funding-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"fundingMethod": "<string>",
"displayName": "<string>",
"supportedByCorridors": [
"<string>"
],
"effectiveStatus": "AVAILABLE",
"unavailableReasons": [
"PROVIDER_NOT_SUPPORTED"
]
}
]Authorizations
Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.
Query Parameters
Available options:
CASH_PICKUP, BANK_ACCOUNT, PUSH_TO_CARD, MOBILE_WALLET, HOME_DELIVERY Response
200 - application/json
Available options:
AVAILABLE, UNAVAILABLE Available options:
PROVIDER_NOT_SUPPORTED, PLATFORM_DISABLED, PARTNER_DISABLED, NO_ENABLED_CORRIDOR_FOR_PARTNER, CORRIDOR_SUSPENDED, FUNDING_NOT_SUPPORTED, MAPPING_REVIEW_REQUIRED, NOT_QUOTABLE, NO_MATCHING_CAPABILITY